package info.textgrid.middleware;

import info.textgrid.middleware.oaipmh.GetRecordType;

/**
 * @author Maximilian Brodhun, SUB Göttingen
 * @author Stefan E. Funk, SUB Göttingen
 * @version 2019-03-07
 * @since 2019-03-07
 */

public interface RecordDelivererInterface {

  /**
   * <p>
   * Query database (whatever) for specific dataset.
   * </p>
   * 
   * @param id identifier within database
   * @return Get the GetRecord response for the request
   */
  GetRecordType getRecordById(String id);

}
